package com.ruoyi.app.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会员对象 tb_app_user
 * @author Alex
 * @date 2020-09-24
 */
@Data
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_app_user")
public class TbAppUser implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id")
    private Long id;

    /** 是否已经加入家族 1是 0否 */
    @Excel(name = "是否已经加入家族 1是 0否")
    private String joins;

    /** 家族表id */
    @Excel(name = "家族表id")
    private Long familyId;

    /** 页面模板id */
    @Excel(name = "页面模板id")
    private Long templateId;

    /** 角色：USER未加入家族的会员，GROUP已加入家族的会员，ADMIN家族管理员 */
    @Excel(name = "角色：USER未加入家族的会员，GROUP已加入家族的会员，ADMIN家族管理员")
    private String role;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 头像url */
    @Excel(name = "头像url")
    private String avatar;

    /** 二维码code */
    @Excel(name = "二维码code")
    private String qrcode;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String mobile;

    /** openid */
    @Excel(name = "openid")
    private String openid;

    /** $column.columnComment */
    @Excel(name = "openid")
    private String verCode;

    /** 创建者 */
    private Long createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private Long updateBy;

    /** 更新时间 */
    private Date updateTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;
}
